GNU bug report logs - #31740
guix pull failed with syntax error.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Fis Trivial <ybbs.daans@HIDDEN>; merged with #27476, #27652; dated Wed, 6 Jun 2018 21:17:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 27476 27652 31740. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Severity set to 'serious' from 'important' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 31740 <at> debbugs.gnu.org:


Received: (at 31740) by debbugs.gnu.org; 7 Jun 2018 16:19:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 07 12:19:31 2018
Received: from localhost ([127.0.0.1]:38373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQxdL-0004DD-Ek
	for submit <at> debbugs.gnu.org; Thu, 07 Jun 2018 12:19:31 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fQxdI-0004Cy-55
 for 31740 <at> debbugs.gnu.org; Thu, 07 Jun 2018 12:19:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fQxd9-0003Ka-P6
 for 31740 <at> debbugs.gnu.org; Thu, 07 Jun 2018 12:19:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57682)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fQxd9-0003KW-L2; Thu, 07 Jun 2018 12:19:19 -0400
Received: from [193.50.110.75] (port=41194 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fQxd9-0006YZ-0E; Thu, 07 Jun 2018 12:19:19 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Fis Trivial <ybbs.daans@HIDDEN>
Subject: Re: bug#31740: guix pull failed with syntax error.
References: <BLUPR16MB05007F9F531210BC855D244192650@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 19 Prairial an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 07 Jun 2018 18:19:17 +0200
In-Reply-To: <BLUPR16MB05007F9F531210BC855D244192650@HIDDEN>
 (Fis Trivial's message of "Wed, 6 Jun 2018 21:15:49 +0000")
Message-ID: <87wovaa7sq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31740
Cc: 31740 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Fis Trivial <ybbs.daans@HIDDEN> skribis:

> compiling...	 10.0% of 40 filesIn ice-9/psyntax.scm:
>   1679:45 19 (parse _ _ _ _ _ _ _)
> In ice-9/boot-9.scm:
>    222:17 18 (map1 (((("l-10a3c941d34314a1-35bb" macro . #<procedure 197b=
840 at ice-9/eval.scm:333:13 (a)>) ("placeholder" placeholder) ("l-10a3c941=
d34314a1-35b7" lexical . #) ("l-10?" . #) ?) . #)))
> In ice-9/psyntax.scm:
>   2338:44 17 (expand-let _ _ _ ((line . 1347) (column . 0) (filename . "g=
uix/store.scm")) (hygiene guix store) #<procedure build-let (src ids vars v=
al-exps body-exp)> _ _ ((#<syntax match-drop?> ?)))
>   1679:45 16 (parse _ _ _ _ _ _ _)
> In ice-9/boot-9.scm:
>    222:17 15 (map1 (((("placeholder" placeholder) ("l-10a3c941d34314a1-35=
d3" lexical . tail-10a3c941d34314a1-35d4) ("l-10a3c941d34314a1-35bb" macro =
. #<procedure 197b840 at ice-9/eval.scm:?>) ?) ?)))
> In ice-9/psyntax.scm:
>   1484:23 14 (_ _ _)
> In ice-9/boot-9.scm:
>    222:29 13 (map1 (#<syntax (#<syntax mproc> #<syntax head>)> #<syntax (=
#<syntax lambda> (#<syntax result>) (#<syntax if> #<syntax result> (#<synta=
x return> #<syntax result>) (#<syntax loop> #<?>))
>    222:17 12 (map1 (#<syntax (#<syntax lambda> (#<syntax result>) (#<synt=
ax if> #<syntax result> (#<syntax return> #<syntax result>) (#<syntax loop>=
 #<syntax tail>)))>))
> In ice-9/psyntax.scm:
>   1789:11 11 (lp ((#<syntax if> #<syntax result> (#<syntax return> #<synt=
ax result>) (#<syntax loop> #<syntax tail>))) ())
>   1679:45 10 (parse _ _ _ _ _ _ _)
> In ice-9/boot-9.scm:
>    222:17  9 (map1 (((("placeholder" placeholder) ("l-10a3c941d34314a1-35=
f3" lexical . result-10a3c941d34314a1-35f2) ("placeholder" placeholder) ("l=
-10a3c941d34314a1-35d3" lexical . #) # # ?) . #)))
> In ice-9/psyntax.scm:
>   1407:23  8 (_ _ (#<syntax return> #<syntax result>) (#<syntax loop> #<s=
yntax tail>))
>   1348:32  7 (syntax-type (#<syntax return> #<syntax result>) (("placehol=
der" placeholder) ("l-10a3c941d34314a1-35f3" lexical . result-10a3c941d3431=
4a1-35f2) ("placeholder" placeholder) (# . #) ?) ?)
> compiling...	 12.5% of 40 files  1559:32  6 (expand-macro #<procedure 1a5=
3c00 at ice-9/eval.scm:333:13 (a)> _ _ _ _ _ _)
> In ice-9/boot-9.scm:
>    752:25  5 (dispatch-exception _ _ _)
>    751:25  4 (dispatch-exception 1 syntax-error (return "return used outs=
ide of 'with-monad'" ((line . 1347) (column . 0) (filename . "guix/store.sc=
m")) (return result) #f))
> In ./guix/build/compile.scm:
>     129:6  3 (_ _ . _)
> In ice-9/boot-9.scm:
>     829:9  2 (catch #t #<procedure 1ae6e80 at ./guix/build/compile.scm:12=
9:6 ()> #<procedure 7ffff2315810 at ./guix/build/compile.scm:129:6 args> _)
> In ./guix/build/compile.scm:
>    132:21  1 (_)
> In unknown file:
>            0 (make-stack #t)
> ./guix/build/compile.scm:132:21: Syntax error:
> guix/store.scm:1348:0: return: return used outside of 'with-monad' in for=
m (return result)
> builder for `/gnu/store/9qm694macj2s9a528nshbzgqca19njdx-guix-core.drv' f=
ailed with exit code 1

This is a tricky non-deterministic bug in Guile that isn=E2=80=99t fixed ye=
t:

  https://bugs.gnu.org/27476

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31740; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Jun 2018 21:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 06 17:16:14 2018
Received: from localhost ([127.0.0.1]:37116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQfmw-00080I-33
	for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 17:16:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ybbs.daans@HIDDEN>) id 1fQfmt-000805-BY
 for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 17:16:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ybbs.daans@HIDDEN>) id 1fQfmk-0007Q1-23
 for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 17:16:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RECEIVED_FROM_WINDOWS_HOST,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59672)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ybbs.daans@HIDDEN>)
 id 1fQfmj-0007Px-U5
 for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 17:16:01 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38187)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ybbs.daans@HIDDEN>) id 1fQfmf-0000WO-0R
 for bug-guix@HIDDEN; Wed, 06 Jun 2018 17:16:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ybbs.daans@HIDDEN>) id 1fQfma-0007MI-Tw
 for bug-guix@HIDDEN; Wed, 06 Jun 2018 17:15:56 -0400
Received: from mail-oln040092010017.outbound.protection.outlook.com
 ([40.92.10.17]:11989 helo=NAM04-CO1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ybbs.daans@HIDDEN>)
 id 1fQfma-0007LW-Dm
 for bug-guix@HIDDEN; Wed, 06 Jun 2018 17:15:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=S7EB+LQx0VgglopbWU4REhtZAKnC89cLSMc6UFT1hDI=;
 b=GfLH4aL+5JyvcUV+HITLjuGmgFGfzPwjA2M4znHAbrbGOztneGalbzDwRC2wTHGIehh2XiFKVVjPiyD5PPfbWk2/VEUuFa7lB+Ondc3qMvlBGkneWjvbLB/b2ZAH7Sh8vIOos1szj1sXTrTyrKTA7nKqV1FQ+gBnstyrGF1vLTf8EKlwuvXXhODRMmq2ejenLvXTVuNqZ2UJgUFSGQeBiyjdHzYqHcBEiUsqzQghWF393m1iXcZrWPBIQNJlzylYiFi3aUsNcZmSWjwovh5Q1A5lnoOVqu7LLEDv/yDCWeyTCr1HV3FVMv1saQmdLLM4uoufaa0auI+tcJfhK9HXww==
Received: from SN1NAM04FT021.eop-NAM04.prod.protection.outlook.com
 (10.152.88.59) by SN1NAM04HT095.eop-NAM04.prod.protection.outlook.com
 (10.152.89.175) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256_P256) id 15.20.841.10; Wed, 6
 Jun 2018 21:15:49 +0000
Received: from BLUPR16MB0500.namprd16.prod.outlook.com (10.152.88.60) by
 SN1NAM04FT021.mail.protection.outlook.com (10.152.88.149) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P256) id
 15.20.841.10 via Frontend Transport; Wed, 6 Jun 2018 21:15:49 +0000
Received: from BLUPR16MB0500.namprd16.prod.outlook.com
 ([fe80::bd9a:15be:747e:94fe]) by BLUPR16MB0500.namprd16.prod.outlook.com
 ([fe80::bd9a:15be:747e:94fe%2]) with mapi id 15.20.0841.015; Wed, 6 Jun 2018
 21:15:49 +0000
From: Fis Trivial <ybbs.daans@HIDDEN>
To: "bug-guix@HIDDEN" <bug-guix@HIDDEN>
Subject: guix pull failed with syntax error.
Thread-Topic: guix pull failed with syntax error.
Thread-Index: AQHT/duKAuWokKq/oEaf+AAVbqcmaA==
Date: Wed, 6 Jun 2018 21:15:49 +0000
Message-ID: <BLUPR16MB05007F9F531210BC855D244192650@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: HK0P153CA0014.APCP153.PROD.OUTLOOK.COM
 (2603:1096:203:18::26) To BLUPR16MB0500.namprd16.prod.outlook.com
 (2a01:111:e400:c46a::11)
x-incomingtopheadermarker: OriginalChecksum:C8BA36E51C8C842E16DEEF545B8C510DBA18FAEA4EA45D0E3AA972B6C6BB29B5;
 UpperCasedChecksum:B42BDD25ADAE8518DD5CEA136BCCF4E09289C53C577B6F5F6274A3E621D1BBCF;
 SizeAsReceived:7211; Count:47
x-ms-exchange-messagesentrepresentingtype: 1
x-tmn: [7qnrsoe6PiBIZPu1KtyFxhTZxnTd6hxq]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; SN1NAM04HT095;
 7:wk5dhpsPYMSlyKVQez/YkZEU26go+gaU2tyuqdbUGI8nfs9abbA55FhUM7OW7lEaBJu6qL2ABrEdkPWpIhH6oqDun9HvD66hsWAQzLWeOxePeca01hcTfIKEdIzjtk3KhZog6V0RYd2waWGhhHu7vjxgtKkT3ZGRWyxVq2LWZ17jSL7t1Hp2Gh1x7Oa6wpGAmK4b9S8WYWS6+kmCRv2m/rWR8t756+EV3+tp30MVhVYmY+relXKTh1/q8o5X34gA
x-incomingheadercount: 47
x-eopattributedmessage: 0
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(7020095)(201702061078)(5061506573)(5061507331)(1603103135)(2017031320274)(2017031324274)(2017031323274)(2017031322404)(1603101448)(1601125500)(1701031045);
 SRVR:SN1NAM04HT095; 
x-ms-traffictypediagnostic: SN1NAM04HT095:
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0; RULEID:(444000031);
 SRVR:SN1NAM04HT095; BCL:0; PCL:0; RULEID:; SRVR:SN1NAM04HT095; 
x-forefront-prvs: 06952FC175
x-forefront-antispam-report: SFV:NSPM;
 SFS:(7070007)(199004)(189003)(386003)(6306002)(9686003)(59450400001)(81156014)(305945005)(106356001)(3660700001)(73972006)(25786009)(7696005)(8676002)(8936002)(3280700002)(5640700003)(82202002)(476003)(104016004)(2900100001)(68736007)(6346003)(26005)(53376002)(575784001)(2351001)(6436002)(105586002)(5660300001)(14454004)(97736004)(6916009)(33656002)(6506007)(2501003)(74316002)(5250100002)(55016002)(102836004)(83332001)(99286004)(86362001)(20460500001)(87572001)(486006)(15852004)(2004002);
 DIR:OUT; SFP:1901; SCL:1; SRVR:SN1NAM04HT095;
 H:BLUPR16MB0500.namprd16.prod.outlook.com; FPR:; SPF:None; PTR:InfoNoRecords;
 A:1; MX:1; LANG:; 
received-spf: None (protection.outlook.com: hotmail.com does not designate
 permitted sender hosts)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=ybbs.daans@HIDDEN; 
x-microsoft-antispam-message-info: IlyKVAZjhven2MS2pP791lUhHrfusGXMG1AiB7F2yIMiDo2sqqZcHa+r7sCfWD5WFzR5X6q70rP2uXvzKA40PWaG11D2Jv7MD3B/UVD3ikBXuYUE2jDd7LJJGPphSfrmynciKj9DfHuGUw+SICSLuvDAyZa6SB2TH9VeYcM7Q8odAxWLO4Zc6rfwQGRFQW/+
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-MS-Office365-Filtering-Correlation-Id: 83639db7-58d5-4d5b-46ce-08d5cbf2ad18
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: dd759f05-a917-4aa0-a2f5-4cc35c50e0c8
X-MS-Exchange-CrossTenant-Network-Message-Id: 83639db7-58d5-4d5b-46ce-08d5cbf2ad18
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: dd759f05-a917-4aa0-a2f5-4cc35c50e0c8
X-MS-Exchange-CrossTenant-originalarrivaltime: 06 Jun 2018 21:15:49.6554 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN1NAM04HT095
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

$guix --version

guix (GNU Guix) 909301591d21d3879276e4ede3cebdcc867184f2
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.


Actually this is the second time I bumped into this bug. It seems
non-deterministic, try it a few times might make it right. Here is the
the error message with downloading and substituting stripped out:

Updating from Git repository at 'https://git.savannah.gnu.org/git/guix.git'=
...
Building from Git commit 116ca65b583ba4e404289f1481dc3a3ffef1c3dd...
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org=
'... 100.0%
The following derivations will be built:
   /gnu/store/r195brsmnb3jgqicj7ma681yaschgyaj-compute-guix-derivation.drv
   /gnu/store/facfypp0m3g948fxzs9xg07fa45kckvk-module-import.drv
   /gnu/store/ghsnz9qn4ycg906a14glcxmxmmmh44vx-module-import-compiled.drv
;;; Failed to autoload make-session in (gnutls):
;;; missing interface for module (gnutls)
;;; Failed to autoload connection-end/client in (gnutls):
;;; missing interface for module (gnutls)
;;; ./gnu/packages.scm:92:33: warning: non-literal format string
;;; ./gnu/packages.scm:108:16: warning: non-literal format string
;;; Failed to autoload make-session in (gnutls):
;;; missing interface for module (gnutls)
;;; Failed to autoload connection-end/client in (gnutls):
;;; missing interface for module (gnutls)
;;; Failed to autoload make-session in (gnutls):
;;; missing interface for module (gnutls)
;;; Failed to autoload make-session in (gnutls):
;;; missing interface for module (gnutls)
;;; Failed to autoload connection-end/client in (gnutls):
;;; missing interface for module (gnutls)
;;; ./guix/build/download.scm:176:4: warning: possibly unbound variable `se=
t-certificate-credentials-x509-trust-data!'
;;; ./guix/build/download.scm:182:15: warning: possibly unbound variable `m=
ake-certificate-credentials'
;;; ./guix/build/download.scm:191:20: warning: possibly unbound variable `x=
509-certificate-format/pem'
;;; ./guix/build/download.scm:199:2: warning: possibly unbound variable `se=
ssion-peer-certificate-chain'
;;; ./guix/build/download.scm:201:5: warning: possibly unbound variable `im=
port-x509-certificate'
;;; ./guix/build/download.scm:201:5: warning: possibly unbound variable `x5=
09-certificate-format/der'
;;; ./guix/build/download.scm:210:10: warning: possibly unbound variable `x=
509-certificate-matches-hostname?'
;;; ./guix/build/download.scm:215:2: warning: possibly unbound variable `pe=
er-certificate-status'
;;; ./guix/build/download.scm:234:13: warning: possibly unbound variable `c=
ertificate-status->string'
;;; ./guix/build/download.scm:229:20: warning: possibly unbound variable `x=
509-certificate-dn'
;;; ./guix/build/download.scm:246:18: warning: possibly unbound variable `m=
ake-session'
;;; ./guix/build/download.scm:246:18: warning: possibly unbound variable `c=
onnection-end/client'
;;; ./guix/build/download.scm:255:8: warning: possibly unbound variable `se=
t-session-server-name!'
;;; ./guix/build/download.scm:255:8: warning: possibly unbound variable `se=
rver-name-type/dns'
;;; ./guix/build/download.scm:259:4: warning: possibly unbound variable `se=
t-session-transport-fd!'
;;; ./guix/build/download.scm:260:4: warning: possibly unbound variable `se=
t-session-default-priority!'
;;; ./guix/build/download.scm:266:4: warning: possibly unbound variable `se=
t-session-priorities!'
;;; ./guix/build/download.scm:268:4: warning: possibly unbound variable `se=
t-session-credentials!'
;;; ./guix/build/download.scm:272:34: warning: possibly unbound variable `m=
ake-certificate-credentials'
;;; ./guix/build/download.scm:280:8: warning: possibly unbound variable `ha=
ndshake'
;;; ./guix/build/download.scm:282:15: warning: possibly unbound variable `e=
rror/warning-alert-received'
;;; ./guix/build/download.scm:287:23: warning: possibly unbound variable `a=
lert-description->string'
;;; ./guix/build/download.scm:287:50: warning: possibly unbound variable `a=
lert-get'
;;; ./guix/build/download.scm:288:15: warning: possibly unbound variable `h=
andshake'
;;; ./guix/build/download.scm:303:18: warning: possibly unbound variable `s=
ession-record-port'
;;; Failed to autoload make-session in (gnutls):
;;; missing interface for module (gnutls)
;;; Failed to autoload make-session in (gnutls):
;;; missing interface for module (gnutls)
;;; Failed to autoload connection-end/client in (gnutls):
;;; missing interface for module (gnutls)
;;; ./guix/discovery.scm:89:22: warning: non-literal format string
;;; ./guix/ui.scm:168:5: warning: non-literal format string
;;; ./guix/ui.scm:313:2: warning: non-literal format string
;;; ./guix/ui.scm:331:22: warning: non-literal format string
;;; ./guix/ui.scm:359:13: warning: non-literal format string
;;; ./guix/ui.scm:352:7: warning: non-literal format string
;;; ./guix/ui.scm:347:11: warning: non-literal format string
;;; ./guix/ui.scm:383:7: warning: non-literal format string
;;; ./guix/ui.scm:467:2: warning: non-literal format string
;;; ./guix/ui.scm:469:2: warning: non-literal format string
;;; ./guix/ui.scm:577:22: warning: non-literal format string
;;; ./guix/ui.scm:580:22: warning: non-literal format string
;;; ./guix/ui.scm:690:13: warning: non-literal format string
;;; ./guix/ui.scm:865:14: warning: non-literal format string
;;; ./guix/ui.scm:885:14: warning: non-literal format string
;;; ./guix/ui.scm:1389:18: warning: non-literal format string
;;; ./guix/ui.scm:1399:10: warning: non-literal format string
;;; ./guix/ui.scm:1442:2: warning: non-literal format string
;;; ./guix/ui.scm:1458:2: warning: non-literal format string
;;; ./guix/ui.scm:1488:2: warning: non-literal format string
;;; ./guix/ui.scm:1517:2: warning: non-literal format string
;;; ./guix/ui.scm:1520:2: warning: non-literal format string
;;; ./guix/ui.scm:1539:8: warning: non-literal format string
;;; ./guix/ui.scm:1577:5: warning: non-literal format string
;;; ./guix/ui.scm:1569:5: warning: non-literal format string
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org=
'... 100.0%%
substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org=
'... 100.0%%

........ (stripped out) ...........

[ 1/ 6] Compiling './guix/build/compile.scm'...
[ 2/ 6] Compiling './guix/build/utils.scm'...
[ 3/ 6] Compiling './guix/memoization.scm'...
[ 4/ 6] Compiling './guix/modules.scm'...
[ 5/ 6] Compiling './guix/profiling.scm'...
[ 6/ 6] Compiling './guix/sets.scm'...
compiling...	100.0% of 1 files
compiling...	 10.0% of 40 filesIn ice-9/psyntax.scm:
  1679:45 19 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17 18 (map1 (((("l-10a3c941d34314a1-35bb" macro . #<procedure 197b84=
0 at ice-9/eval.scm:333:13 (a)>) ("placeholder" placeholder) ("l-10a3c941d3=
4314a1-35b7" lexical . #) ("l-10?" . #) ?) . #)))
In ice-9/psyntax.scm:
  2338:44 17 (expand-let _ _ _ ((line . 1347) (column . 0) (filename . "gui=
x/store.scm")) (hygiene guix store) #<procedure build-let (src ids vars val=
-exps body-exp)> _ _ ((#<syntax match-drop?> ?)))
  1679:45 16 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17 15 (map1 (((("placeholder" placeholder) ("l-10a3c941d34314a1-35d3=
" lexical . tail-10a3c941d34314a1-35d4) ("l-10a3c941d34314a1-35bb" macro . =
#<procedure 197b840 at ice-9/eval.scm:?>) ?) ?)))
In ice-9/psyntax.scm:
  1484:23 14 (_ _ _)
In ice-9/boot-9.scm:
   222:29 13 (map1 (#<syntax (#<syntax mproc> #<syntax head>)> #<syntax (#<=
syntax lambda> (#<syntax result>) (#<syntax if> #<syntax result> (#<syntax =
return> #<syntax result>) (#<syntax loop> #<?>))
   222:17 12 (map1 (#<syntax (#<syntax lambda> (#<syntax result>) (#<syntax=
 if> #<syntax result> (#<syntax return> #<syntax result>) (#<syntax loop> #=
<syntax tail>)))>))
In ice-9/psyntax.scm:
  1789:11 11 (lp ((#<syntax if> #<syntax result> (#<syntax return> #<syntax=
 result>) (#<syntax loop> #<syntax tail>))) ())
  1679:45 10 (parse _ _ _ _ _ _ _)
In ice-9/boot-9.scm:
   222:17  9 (map1 (((("placeholder" placeholder) ("l-10a3c941d34314a1-35f3=
" lexical . result-10a3c941d34314a1-35f2) ("placeholder" placeholder) ("l-1=
0a3c941d34314a1-35d3" lexical . #) # # ?) . #)))
In ice-9/psyntax.scm:
  1407:23  8 (_ _ (#<syntax return> #<syntax result>) (#<syntax loop> #<syn=
tax tail>))
  1348:32  7 (syntax-type (#<syntax return> #<syntax result>) (("placeholde=
r" placeholder) ("l-10a3c941d34314a1-35f3" lexical . result-10a3c941d34314a=
1-35f2) ("placeholder" placeholder) (# . #) ?) ?)
compiling...	 12.5% of 40 files  1559:32  6 (expand-macro #<procedure 1a53c=
00 at ice-9/eval.scm:333:13 (a)> _ _ _ _ _ _)
In ice-9/boot-9.scm:
   752:25  5 (dispatch-exception _ _ _)
   751:25  4 (dispatch-exception 1 syntax-error (return "return used outsid=
e of 'with-monad'" ((line . 1347) (column . 0) (filename . "guix/store.scm"=
)) (return result) #f))
In ./guix/build/compile.scm:
    129:6  3 (_ _ . _)
In ice-9/boot-9.scm:
    829:9  2 (catch #t #<procedure 1ae6e80 at ./guix/build/compile.scm:129:=
6 ()> #<procedure 7ffff2315810 at ./guix/build/compile.scm:129:6 args> _)
In ./guix/build/compile.scm:
   132:21  1 (_)
In unknown file:
           0 (make-stack #t)
./guix/build/compile.scm:132:21: Syntax error:
guix/store.scm:1348:0: return: return used outside of 'with-monad' in form =
(return result)
builder for `/gnu/store/9qm694macj2s9a528nshbzgqca19njdx-guix-core.drv' fai=
led with exit code 1
cannot build derivation `/gnu/store/fjvfl5d1v6jwlf9r8ajaifxp3zn7a4w1-guix-1=
16ca65b5.drv': 1 dependencies couldn't be built
guix pull: error: build failed: build of `/gnu/store/fjvfl5d1v6jwlf9r8ajaif=
xp3zn7a4w1-guix-116ca65b5.drv' failed


----------------------------------------------------------------------

A second pull succeeded:

$ guix pull
Updating from Git repository at 'https://git.savannah.gnu.org/git/guix.git'=
...
Building from Git commit 116ca65b583ba4e404289f1481dc3a3ffef1c3dd...
Computing Guix derivation for 'x86_64-linux'... |
The following derivations will be built:
   /gnu/store/fjvfl5d1v6jwlf9r8ajaifxp3zn7a4w1-guix-116ca65b5.drv
   /gnu/store/9qm694macj2s9a528nshbzgqca19njdx-guix-core.drv
   /gnu/store/g04imaadhllvb0qp7s0h68nzy47h62pn-guix-system.drv
   /gnu/store/ggc1i9irm2qqkkqnari31hah0i3x2syy-guix-extra.drv
   /gnu/store/hgp4i9sq96j94hlblqiamdsg5h4dhxdc-guix-packages-base.drv
   /gnu/store/jacwncra81r180xmvxhda8hlaifnga1p-guix-packages.drv
   /gnu/store/x6wd9ny8r4pg73hmbv2p2m1m1qp711rq-guix-cli.drv
compiling...	100.0% of 40 files
loading...	 97.2% of 109 filesrandom seed for tests: 1528319365
compiling...	100.0% of 109 files
compiling...	100.0% of 229 files
compiling...	100.0% of 179 files
compiling...	100.0% of 66 files
compiling...	100.0% of 37 files
updated GNU Guix successfully deployed under `/home/fis/.config/guix/latest=
'




Acknowledgement sent to Fis Trivial <ybbs.daans@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31740; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 7 Jun 2018 16:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.